PSPBTRSV(l)

NAME
PSPBTRSV - solve a banded triangular system of linear equations A(1:N, JA:JA+N-1) * X = B(IB:IB+N-1, 1:NRHS)

SYNOPSIS

SUBROUTINE PSPBTRSV(
    UPLO, TRANS, N, BW, NRHS, A, JA, DESCA, B, IB, DESCB, AF, LAF, WORK, LWORK, INFO )

CHARACTER
    TRANS, UPLO

INTEGER
    BW, IB, INFO, JA, LAF, LWORK, N, NRHS

INTEGER
    DESCA( * ), DESCB( * )

REAL
    A( * ), AF( * ), B( * ), WORK( * )

PURPOSE
PSPBTRSV solves a banded triangular system of linear equations
                        or
                    A(1:N, JA:JA+N-1)^T * X = B(IB:IB+N-1, 1:NRHS)

where A(1:N, JA:JA+N-1) is a banded
triangular matrix factor produced by the
Cholesky factorization code PSPBTRF
and is stored in A(1:N,JA:JA+N-1) and AF.
The matrix stored in A(1:N, JA:JA+N-1) is either
upper or lower triangular according to UPLO,
and the choice of solving A(1:N, JA:JA+N-1) or A(1:N, JA:JA+N-1)^T is dictated by the user by the parameter TRANS.

Routine PSPBTRF MUST be called first.